Loading...
Searching...
No Matches
BALL::NumericalSAS::Option Struct Reference

`#include <BALL/STRUCTURE/numericalSAS.h>`

## Static Public Attributes

static const String | COMPUTE_AREA
static const String | COMPUTE_VOLUME
static const String | COMPUTE_SURFACE
static const String | COMPUTE_SURFACE_PER_ATOM
static const String | COMPUTE_SURFACE_MAP
static const String | NUMBER_OF_POINTS
static const String | PROBE_RADIUS

## Detailed Description

Option names

Definition at line 53 of file numericalSAS.h.

## Member Data Documentation

## COMPUTE_AREA

const String BALL::NumericalSAS::Option::COMPUTE_AREA

static

This flag decides whether total area and area per atom will be computed (default = true).

Definition at line 58 of file numericalSAS.h.

## COMPUTE_SURFACE

const String BALL::NumericalSAS::Option::COMPUTE_SURFACE

static

This flag decides whether surface points and normals will be explicitly computed and stored in the class (default = false).

Please note that the normals will not have unit length, but will be scaled according such that the sum over all normal lengths yields the surface area.

Definition at line 72 of file numericalSAS.h.

## COMPUTE_SURFACE_MAP

const String BALL::NumericalSAS::Option::COMPUTE_SURFACE_MAP

static

This flag decides whether a vector of (atom center, surface) per atom will be explicitly computed and stored in the class (default = false).

Please note that the normals will not have unit length, but will be scaled according such that the sum over all normal lengths yields the surface area.

Definition at line 91 of file numericalSAS.h.

## COMPUTE_SURFACE_PER_ATOM

const String BALL::NumericalSAS::Option::COMPUTE_SURFACE_PER_ATOM

static

This flag decides whether surface points and normals per atom will be explicitly computed and stored in the class (default = false).

Please note that the normals will not have unit length, but will be scaled according such that the sum over all normal lengths yields the surface area.

Definition at line 82 of file numericalSAS.h.

## COMPUTE_VOLUME

const String BALL::NumericalSAS::Option::COMPUTE_VOLUME

static

This flag decides whether total volume and volume per atom will be computed (default = true).

Definition at line 63 of file numericalSAS.h.

## NUMBER_OF_POINTS

const String BALL::NumericalSAS::Option::NUMBER_OF_POINTS

static

The number of point samples per sphere. Please note that this number is a lower limit, since sampling is performed through icosahedron or dodecahedron refinement that cannot produce arbitrary point numbers.

Definition at line 98 of file numericalSAS.h.

## PROBE_RADIUS

const String BALL::NumericalSAS::Option::PROBE_RADIUS

static

The radius of the spherical probe used for the SAS definition.

Definition at line 102 of file numericalSAS.h.